Bug 1349005 - cinder volume backup throws UnicodeDecodeError: 'ascii' and access denied
Summary: cinder volume backup throws UnicodeDecodeError: 'ascii' and access denied
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: async
: 7.0 (Kilo)
Assignee: Gorka Eguileor
QA Contact: lkuchlan
URL:
Whiteboard:
Depends On:
Blocks: 1360424 1371695 1371696
TreeView+ depends on / blocked
 
Reported: 2016-06-22 13:37 UTC by Ondrej
Modified: 2022-07-09 08:36 UTC (History)
15 users (show)

Fixed In Version: openstack-cinder-2015.1.3-9.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1360424 1371695 (view as bug list)
Environment:
Last Closed: 2017-02-15 22:55:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1602346 0 None None None 2016-07-12 16:45:25 UTC
OpenStack gerrit 341085 0 None None None 2016-07-12 16:45:53 UTC
Red Hat Issue Tracker OSP-16796 0 None None None 2022-07-09 08:36:42 UTC
Red Hat Product Errata RHSA-2017:0282 0 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova security update 2017-02-16 03:52:44 UTC

Comment 3 John Eckersberg 2016-06-22 14:48:39 UTC
Maybe it's just the logging, but for the second case it's a bit odd that the URL is listed as http://192.168.135.135:8080/v1/AUTH_%(tenant_id)sf69d9b364b7244de8200e2fcdb6f8b42/volumebackups without the tenant_id actually interpolated in.

The first case looks like a legitimate bug somewhere.

Comment 4 Edu Alcaniz 2016-06-22 14:56:00 UTC
Hi, we already applied https://access.redhat.com/solutions/2208151

modify the file /etc/swift/proxy-server.conf

[pipeline:main]
#pipeline = catch_errors healthcheck cache ratelimit account_quotas container_quotas tempurl formpost ceilometer authtoken keystone staticweb proxy-logging proxy-server
pipeline = catch_errors healthcheck cache ratelimit tempurl formpost authtoken keystone account_quotas container_quotas staticweb ceilometer proxy-logging proxy-server

Comment 30 lkuchlan 2016-12-05 14:04:51 UTC
Tested using:
openstack-cinder-2015.1.3-11.el7ost.noarch

Verification flow:

[root@dhcp88-142 ~(keystone_admin)]# cinder create 1
+---------------------+--------------------------------------+
|       Property      |                Value                 |
+---------------------+--------------------------------------+
|     attachments     |                  []                  |
|  availability_zone  |                 nova                 |
|       bootable      |                false                 |
|      created_at     |      2016-12-05T13:47:16.451293      |
| display_description |                 None                 |
|     display_name    |                 None                 |
|      encrypted      |                False                 |
|          id         | 0911b4dc-b786-4347-a541-4e5d20e9531f |
|       metadata      |                  {}                  |
|     multiattach     |                false                 |
|         size        |                  1                   |
|     snapshot_id     |                 None                 |
|     source_volid    |                 None                 |
|        status       |               creating               |
|     volume_type     |                 None                 |
+---------------------+--------------------------------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
| 0911b4dc-b786-4347-a541-4e5d20e9531f | available |      -       |  1   |      -      |  false   |             |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder backup-create 0911b4dc-b786-4347-a541-4e5d20e9531f
+-----------+--------------------------------------+
|  Property |                Value                 |
+-----------+--------------------------------------+
|     id    | a39636fd-c705-410f-9ba4-d6ad2e8663ea |
|    name   |                 None                 |
| volume_id | 0911b4dc-b786-4347-a541-4e5d20e9531f |
+-----------+--------------------------------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder backup-list
+--------------------------------------+--------------------------------------+----------+------+------+--------------+----------------+
|                  ID                  |              Volume ID               |  Status  | Name | Size | Object Count |   Container    |
+--------------------------------------+--------------------------------------+----------+------+------+--------------+----------------+
| a39636fd-c705-410f-9ba4-d6ad2e8663ea | 0911b4dc-b786-4347-a541-4e5d20e9531f | creating |  -   |  1   |      -       | volumes_backup |
+--------------------------------------+--------------------------------------+----------+------+------+--------------+----------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder backup-list
+--------------------------------------+--------------------------------------+-----------+------+------+--------------+----------------+
|                  ID                  |              Volume ID               |   Status  | Name | Size | Object Count |   Container    |
+--------------------------------------+--------------------------------------+-----------+------+------+--------------+----------------+
| a39636fd-c705-410f-9ba4-d6ad2e8663ea | 0911b4dc-b786-4347-a541-4e5d20e9531f | available |  -   |  1   |      22      | volumes_backup |
+--------------------------------------+--------------------------------------+-----------+------+------+--------------+----------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder backup-restore a39636fd-c705-410f-9ba4-d6ad2e8663ea

[root@dhcp88-142 ~(keystone_admin)]# cinder list
+--------------------------------------+------------------+-----------------------------------------------------+------+-------------+----------+-------------+
|                  ID                  |      Status      |                     Display Name                    | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+------------------+-----------------------------------------------------+------+-------------+----------+-------------+
| 0911b4dc-b786-4347-a541-4e5d20e9531f |    available     |                          -                          |  1   |      -      |  false   |             |
| f9e1b965-2580-467e-a49a-6d4c46d24c59 | restoring-backup | restore_backup_a39636fd-c705-410f-9ba4-d6ad2e8663ea |  1   |      -      |  false   |             |
+--------------------------------------+------------------+-----------------------------------------------------+------+-------------+----------+-------------+

[root@dhcp88-142 ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+-----------------------------------------------------+------+-------------+----------+-------------+
|                  ID                  |   Status  |                     Display Name                    | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+-----------------------------------------------------+------+-------------+----------+-------------+
| 0911b4dc-b786-4347-a541-4e5d20e9531f | available |                          -                          |  1   |      -      |  false   |             |
| f9e1b965-2580-467e-a49a-6d4c46d24c59 | available | restore_backup_a39636fd-c705-410f-9ba4-d6ad2e8663ea |  1   |      -      |  false   |             |
+--------------------------------------+-----------+-----------------------------------------------------+------+-------------+----------+-------------+

Comment 32 errata-xmlrpc 2017-02-15 22:55:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0282.html


Note You need to log in before you can comment on or make changes to this bug.